
import { SyncDescriptor } from '@codingame/monaco-vscode-api/vscode/vs/platform/instantiation/common/descriptors';
import { ITaskService } from '@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/tasks/common/taskService.service';
import { TaskService } from './vscode/src/vs/workbench/contrib/tasks/browser/taskService.js';
import './vscode/src/vs/workbench/contrib/tasks/browser/task.contribution.js';

function getServiceOverride() {
    return {
        [ITaskService.toString()]: new SyncDescriptor(TaskService, [], true)
    };
}

export { getServiceOverride as default };
