

var ShellIntegrationOscPs;
(function (ShellIntegrationOscPs) {
    ShellIntegrationOscPs[ShellIntegrationOscPs["FinalTerm"] = 133] = "FinalTerm";
    ShellIntegrationOscPs[ShellIntegrationOscPs["VSCode"] = 633] = "VSCode";
    ShellIntegrationOscPs[ShellIntegrationOscPs["ITerm"] = 1337] = "ITerm";
})(ShellIntegrationOscPs || (ShellIntegrationOscPs = {}));
var VSCodeOscPt;
(function (VSCodeOscPt) {
    VSCodeOscPt["PromptStart"] = "A";
    VSCodeOscPt["CommandStart"] = "B";
    VSCodeOscPt["CommandExecuted"] = "C";
    VSCodeOscPt["CommandFinished"] = "D";
    VSCodeOscPt["CommandLine"] = "E";
    VSCodeOscPt["ContinuationStart"] = "F";
    VSCodeOscPt["ContinuationEnd"] = "G";
    VSCodeOscPt["RightPromptStart"] = "H";
    VSCodeOscPt["RightPromptEnd"] = "I";
    VSCodeOscPt["Property"] = "P";
})(VSCodeOscPt || (VSCodeOscPt = {}));
var VSCodeOscProperty;
(function (VSCodeOscProperty) {
    VSCodeOscProperty["Task"] = "Task";
    VSCodeOscProperty["Cwd"] = "Cwd";
})(VSCodeOscProperty || (VSCodeOscProperty = {}));
var ITermOscPt;
(function (ITermOscPt) {
    ITermOscPt["SetMark"] = "SetMark";
})(ITermOscPt || (ITermOscPt = {}));
function VSCodeSequence(osc, data) {
    return oscSequence(ShellIntegrationOscPs.VSCode, osc, data);
}
function oscSequence(ps, pt, data) {
    let result = `\x1b]${ps};${pt}`;
    if (data) {
        result += `;${data}`;
    }
    result += `\x07`;
    return result;
}

export { ITermOscPt, VSCodeOscProperty, VSCodeOscPt, VSCodeSequence };
